﻿// Информация о текущей конфигурации
//
// BSLLS:NestedFunctionInParameters-off - без лишних переменных выполнение быстрее
// BSLLS:EmptyRegion-off - пустые области разрешены

#Область ПрограммныйИнтерфейс

// Истина, если правки совместимы с текущей конфигурацией
//
// Параметры: 
//
// Возвращаемое значение: 
// 	Булево
//
Функция Совместима() Экспорт
	
	Возврат  Метаданные.Подсистемы.Найти("СтандартныеПодсистемы") <> Неопределено <> Неопределено
	И испбсп_Версия.Сравнить(Версия(), "3.1", 2) = 0;
	
КонецФункции // Совместима 

// Возвращает идентификатор модифицируемой конфигурации
//
// Параметры: 
//
// Возвращаемое значение: 
// 	Строка
//
Функция Идентификатор() Экспорт
	
	Возврат "Библиотека стандартных подсистем";
	
КонецФункции // Идентификатор 

// Возвращает версию модифицируемой конфигурации
//
// Параметры: 
//
// Возвращаемое значение: 
// 	Строка
//
Функция Версия() Экспорт
	
	Возврат испбсп_БСП.ВерсияБиблиотеки();
	
КонецФункции // Версия 

#КонецОбласти

#Область СлужебныйПрограммныйИнтерфейс

#КонецОбласти

#Область СлужебныеПроцедурыИФункции

#КонецОбласти

// BSLLS:NestedFunctionInParameters-on
// BSLLS:EmptyRegion-on
 